"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x108025da0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x108025e40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108025ee0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108025f80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x108026020>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1080260c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108026160>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108026200>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1080262a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108026340>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1080263e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x108026480>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x108026520>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1080265c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x108026660>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x108026700>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1080267a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x108026840>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1080268e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x108026980>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x108026a20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108026ac0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x108026b60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x108026c00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x108026ca0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x108026d40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108026de0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x108026e80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x108026f20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108026fc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x108027060>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108027100>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1080271a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x108027240>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1080272e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x108027380>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108027420>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1080274c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108027560>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108027600>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1080276a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108027740>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1080277e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108027880>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x108027920>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1080279c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108027a60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108027b00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108027ba0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x108027c40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108027ce0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108027d80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108027e20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108027ec0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108027f60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10c298040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10c2980e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10c298180>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10c298220>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10c2982c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10c298360>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10c298400>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10c2984a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10c298540>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10c2985e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10c298680>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10c298720>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10c2987c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10c298860>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10c298900>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10c2989a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10c298a40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10c298ae0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10c298b80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10c298c20>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10c298cc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10c298d60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10c298e00>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10c298ea0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10c298f40>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10c299080>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10c298fe0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10c299120>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10c2991c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10c299260>)]
name: str = 'fr_HOCCN'
